Last Comment Bug 746151 - Followup patch to add missing elements from bug patches: 734121, 73638, 688061 & 738404
: Followup patch to add missing elements from bug patches: 734121, 73638, 68806...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla15
Assigned To: Joey Armstrong [:joey]
:
: Gregory Szorc [:gps]
Mentors:
Depends on: 688061 734121 735638 738404
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 07:52 PDT by Joey Armstrong [:joey]
Modified: 2012-04-27 05:40 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
re-add approved patch edits that were merged away (5.04 KB, patch)
2012-04-18 06:20 PDT, Joey Armstrong [:joey]
coop: review+
Details | Diff | Splinter Review

Description Joey Armstrong [:joey] 2012-04-17 07:52:49 PDT
bugs: 734121, 735638, 688061, 738404

Not all logic from these patches have landed.  Some may have been merged away, checkifEmpty macro was re-added.  At this point it will be easiest to start with a clean checkout of mozilla-central and re-add missing elements in a new patch.
Comment 1 Joey Armstrong [:joey] 2012-04-18 06:20:36 PDT
Created attachment 616099 [details] [diff] [review]
re-add approved patch edits that were merged away

Clean sandbox checkout and re-added missing elements.
  o user functions: map, checkIfEmpty, errorIfEmpty, warnIfEmpty
  o manual unit test for checkIfEmpty, warnIfEmpty

New addition (minor):
  o wrap definition of *ifEmpty functions with a target conditional.  If target is a permutation of 'make clean', function(s) should not be defined or make clean in a semi-clean sandbox will fail when data files on disk have not yet been created.
Comment 2 Joey Armstrong [:joey] 2012-04-18 06:21:55 PDT
https://tbpl.mozilla.org/?tree=Try&rev=a7a9ef98be84
Comment 3 Chris Cooper [:coop] 2012-04-26 15:13:32 PDT
Comment on attachment 616099 [details] [diff] [review]
re-add approved patch edits that were merged away

https://hg.mozilla.org/integration/mozilla-inbound/rev/f3d088e87879
Comment 4 Mozilla RelEng Bot 2012-04-26 15:30:21 PDT
Try run for a590fbe22a2f is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=a590fbe22a2f
Results (out of 15 total builds):
    exception: 15
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/coop@mozilla.com-a590fbe22a2f
Comment 5 Chris Cooper [:coop] 2012-04-27 05:22:00 PDT
(In reply to Mozilla RelEng Bot from comment #4)
> Try run for a590fbe22a2f is complete.

Disregard this. I cancelled it shortly after I realized it wasn't going to provide any new data.

The mozilla-inbound landing above seems to have stuck. Just waiting for the merge to m-c to resolved this bug.
Comment 6 Chris Cooper [:coop] 2012-04-27 05:23:18 PDT
(In reply to Chris Cooper [:coop] from comment #5)
> The mozilla-inbound landing above seems to have stuck. Just waiting for the
> merge to m-c to resolved this bug.

...and Ed did that this morning.
Comment 7 Ed Morley [:emorley] 2012-04-27 05:40:24 PDT
https://hg.mozilla.org/mozilla-central/rev/f3d088e87879

Note You need to log in before you can comment on or make changes to this bug.